org.apache.lucene.queries.function.valuesource

## Class DoubleConstValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.ConstNumberSource
    - - org.apache.lucene.queries.function.valuesource.DoubleConstValueSource

-     public class DoubleConstValueSource
      extends ConstNumberSource

  Function that returns a constant double value for every document.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleConstValueSource(double constant)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()` description of field, used in explain()
    `boolean` | `equals(Object o)`
    `boolean` | `getBool()`
    `double` | `getDouble()`
    `float` | `getFloat()`
    `int` | `getInt()`
    `long` | `getLong()`
    `Number` | `getNumber()`
    `FunctionValues` | `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleConstValueSource

          public DoubleConstValueSource(double constant)

  - ### Method Detail

    - #### description

          public String description()

      Description copied from class: `ValueSource`
      description of field, used in explain()
      Specified by:
        `description` in class `ValueSource`

    - #### getValues

          public FunctionValues getValues(Map context,
                                 AtomicReaderContext readerContext)
                                   throws IOException

      Description copied from class: `ValueSource`
      Gets the values for this reader and the context that was previously passed to createWeight()
      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ValueSource`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `ValueSource`

    - #### getInt

          public int getInt()

      Specified by:
        `getInt` in class `ConstNumberSource`

    - #### getLong

          public long getLong()

      Specified by:
        `getLong` in class `ConstNumberSource`

    - #### getFloat

          public float getFloat()

      Specified by:
        `getFloat` in class `ConstNumberSource`

    - #### getDouble

          public double getDouble()

      Specified by:
        `getDouble` in class `ConstNumberSource`

    - #### getNumber

          public Number getNumber()

      Specified by:
        `getNumber` in class `ConstNumberSource`

    - #### getBool

          public boolean getBool()

      Specified by:
        `getBool` in class `ConstNumberSource`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.